<?php

namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;

use App\discount;
use Illuminate\Http\Request;

class DiscountController extends Controller
{
    
    public function index()
    {
        $data = discount::all()->where('user_id',auth::user()->id)->sortbydesc('id');
        return view('admin.discounts.index', compact('data'));
    }

    public function edit($id)
    {
        $data = discount::find($id);
        $data_json = json_decode($data->data , true);
        if($data->user_id == auth::user()->id){
        return view('admin.discounts.update', compact('data','data_json'));
        }else{
            return abort(419);
        }
    }

    
    public function store(Request $request)
    {
        
        $request->validate([
            'name' => 'required',
            'code' => 'required|unique:discounts',
            'value' => 'required',
        ]);
        $apply = $request->apply;

        $data = [
            'max_user' => $request->max_user,
            'type' => $request->type,
            'value' => $request->value,
            'apply' => $request->apply,
            'list_apply' => $request->$apply,
            'dateExp' => $request->dateExp,
            "from" => $request->from,
            "to" => $request->to
        ];
        
        $discount = new discount;
        $discount->user_id = auth::user()->id;
        $discount->data = json_encode($data);
        $discount->name = $request->name;
        $discount->code = $request->code;
        $discount->save();
        return redirect('admin/discount')->with('succ', msg('add'));
    }



    public function update(Request $request)
    {
        
        $request->validate([
            'name' => 'required',
            'code' => 'required',
            'value' => 'required',
        ]);
        $apply = $request->apply;

        $data = [
            'max_user' => $request->max_user,
            'type' => $request->type,
            'value' => $request->value,
            'apply' => $request->apply,
            'list_apply' => $request->$apply,
            'dateExp' => $request->dateExp,
            "from" => $request->from,
            "to" => $request->to
        ];
        
        $discount =  discount::find($request->id);
        $discount->user_id = auth::user()->id;
        $discount->data = json_encode($data);
        $discount->name = $request->name;
        $discount->code = $request->code;
        $discount->save();
        return redirect('admin/discount')->with('succ', msg('update'));
    }



    public function delete(Request $request)
    {
        $data = discount::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->delete();
            return back()->with('succ',msg('delete'));
        }else{
            abort(419);
        }
    }


}
