<?php

namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;

use App\categorie;
use Illuminate\Http\Request;

class CategorieController extends Controller
{
    
    public function index()
    {
        $data = categorie::all()->where('user_id', auth::user()->id)->sortbydesc('id');
        return view('admin.categories.index', compact('data'));
    }
    public function create_index($id)
    {

        $data = categorie::find($id);
        return view('admin.categories.update', compact('data'));
    }
    
    public function create(Request $request)
    {
        // dd($request->all());

        $request->validate([
            'name' => 'required',
            'type' => 'required',
        ]);

        $d = new categorie;
        $d->user_id = auth::user()->id;
        $d->name = $request->name;
        $d->img = $request->img;
        $d->slug = $request->slug;
        $seo = [
          'm_k' => $request->m_k,  
          'desc' => $request->desc,  
        ];
        

        $d->type = $request->type;
        $d->seo = json_encode($seo);
        $d->save();

        return redirect('admin/categories')->with('succ', msg('add'));

    }

    public function save(Request $request)
    {
        
        $request->validate([
            'name' => 'required',
            'type' => 'required',
        ]);

        $d =  categorie::find($request->id);
        $d->user_id = auth::user()->id;
        $d->name = $request->name;
        $d->img = $request->img;
        $d->slug = $request->slug;

        $seo = [
          'm_k' => $request->m_k,  
          'desc' => $request->desc,  
        ];
        

        $d->type = $request->type;
        $d->seo = json_encode($seo);
        $d->save();

        return redirect('admin/categories')->with('succ', msg('update'));

    }

    public function delete(Request $request)
    {
        $data = categorie::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->delete();
            return back()->with('succ', msg('delete'));
        }else{
            abort(419);
        }
    }

}
