<?php
namespace App\Http\Controllers\admin;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller;

use App\product;
use Illuminate\Http\Request;

class ProductController extends Controller
{



    public function index()
    {
        $data = product::all()->where('user_id', auth::user()->id)->sortbydesc('id');
        return view('admin.products.index', compact('data'));
    }
   
    public function create(Request $request)
    {
       
        $request->validate([
            'title' => 'required',
        ]);

        $seo = [
            'm_k'=>$request->m_k,
            'slug'=>$request->slug,
            'm_d'=>$request->m_d,
        ];
        

        $data = new product;
        $data->title = $request->title;
        $data->statu = $request->statu;
        $data->slug = $request->slug;
        $data->map = $request->map;
        $data->adv = $request->adv;
        $data->user_id = auth::user()->id;
        $data->description = $request->descr;
        $data->prices = $request->org_price;
        $data->seo = json_encode($seo);
        $data->images = json_encode($request->images_product);
        $data->save();
        
        return redirect('admin/projects')->with('succ', msg('add'));
        
    }


    public function save(Request $request)
    {

        
        $request->validate([
            'title' => 'required',
        ]);

        $seo = [
            'm_k'=>$request->m_k,
            'slug'=>$request->slug,
            'm_d'=>$request->m_d,
        ];
        

        $data =  product::find($request->id);
        if($data->user_id == auth::user()->id){
        $data->title = $request->title;
        $data->statu = $request->statu;
        $data->map = $request->map;
        $data->adv = $request->adv;
        $data->slug = $request->slug;
        $data->user_id = auth::user()->id;
        $data->description = $request->descr;
        $data->prices = $request->org_price;
        $data->seo = json_encode($seo);
        $data->images = json_encode($request->images_product);
        $data->save();
        }else{
            return abort(419);
        }
        
        return redirect('admin/projects')->with('succ', msg('update'));

    }

    public function update($id)
    {
        $data = product::find($id);
        if($data){
            return view('admin.products.update', compact('data'));
        }else{
            abort(404);
        }
        
    }

    public function delete(Request $request)
    {
        $data = product::find($request->id);
        if($data->user_id == auth::user()->id){
            $data->delete();
            return back()->with('succ', msg('delete'));
        }else{
            abort(419);
        }
    }

    public function import_save(request $request)
    {
        $url_import = $request->url_product;
        return view('admin.products.import.scraping',compact('url_import'));
    }
    public function import_get_data(request $request)
    {
        $data = json_decode($request->data_import , true)['data'];
        $import_product = new product;
        $import_product->user_id = auth::user()->id;
        $import_product->id_product = $data['productInfoComponent']['idStr'];
        $import_product->title = $data['productInfoComponent']['subject'];
        $import_product->descr_ul = json_encode($data['productDescComponent']['descriptionUrl']);
        $import_product->images = json_encode($data['imageComponent']['image640PathList']);
        $import_product->prices = $data['productInfoComponent']['maxPrice'];
        $import_product->stock = $data['inventoryComponent']['totalAvailQuantity'];
        $import_product->varients = json_encode($data['skuComponent']['productSKUPropertyList'][0]['skuPropertyValues']);
        $stor_info = [
            'store_name' => $data['sellerComponent']['storeName'],
            'store_url' => $data['sellerComponent']['storeURL'],
            'store_message' => $data['webActionConfComponent']['actionConfs']['message']['actionTarget'],
        ];
        $import_product->store_info = json_encode($stor_info);
        $import_product->seo = json_encode($data['metaDataComponent']);
        $import_product->save();
        return redirect('admin/products')->with('succ', msg('add'));
    }
   
}
