@extends('layouts.app-dashboard')

@section('content')
    <form action="{{ route('product.save_data') }}" method="post"> @csrf
        <input type="text" hidden value="{{ $data->id }}" name="id">
        @php
            $price = json_decode($data->prices, true);
            $stock = json_decode($data->stock, true);
            $seo = json_decode($data->seo, true);
            $variants = json_decode($data->variants, true);
        @endphp
    <div class="container">
        <div class="row">
            <div class="col-sm-3 mb-4">
               اضافة منتج جديد
            </div>
            <div class="col-sm-9 mb-4" style="text-align: left">
                <button class="btn btn-primary">
                   حفظ التغيرات
                </button>
            </div>
        </div>


            <div class="row mt-4 justify-content-center">
                
                <div class="col-sm-6">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-12">
                                    <label for="" class="tit-input">العنوان</label>
                                    <input type="text" name="title" value="{{ $data->title }}" class="form-control notempty"  placeholder="العنوان" autofocus>
                                    @if($errors->has('title'))
                                        <div  class="validation-text">
                                                <i class="fa fa-info-circle"></i> {{ $errors->first('title') }}
                                        </div>
                                    @endif
                                </div>
                                
                                <div class="col-12">
                                    <label for="" class="tit-input">الوصف</label>
                                    <textarea name="descr"  class="form-control" style="height: 150px">{{ $data->description }}</textarea>
                                    @if($errors->has('descr'))
                                        <div  class="validation-text">
                                                <i class="fa fa-info-circle"></i> {{ $errors->first('descr') }}
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <tit-min>الصور</tit-min>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-12">
                                    
                                </div>
                                <div class="col-12">
                                    
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <tit-min>السعر</tit-min>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-12 mb-3">
                                    
                                </div>
                                <div class="col-6">
                                    <label for="" class="tit-input">السعر الاصلي</label>
                                    <input name="org_price" type="text" class="form-control" placeholder="0.00" value="{{ $price['org_price'] }}">
                                    @if($errors->has('org_price'))
                                        <div  class="validation-text">
                                                <i class="fa fa-info-circle"></i> {{ $errors->first('org_price') }}
                                        </div>
                                    @endif

                                </div>
                                <div class="col-6">
                                    <label for="" class="tit-input">السعر بعد التخفيض</label>
                                    <input name="off_price" class="form-control" placeholder="0.00" value="{{ $price['off_price'] }}">
                                    @if($errors->has('off_price'))
                                        <div  class="validation-text">
                                                <i class="fa fa-info-circle"></i> {{ $errors->first('off_price') }}
                                        </div>
                                    @endif
                                    {{-- <div class="d-flex gap-1" style="font-size: 13px">
                                        <label class="containerx">
                                            <input type="checkbox" >
                                            <span class="checkmark"></span>
                                          </label>
                                          التخفيض بالنسبة %
                                    </div> --}}
                                </div>

                                <div class="col-sm-6 mt-3">
                                    <label for="" class="tit-input">تكلفة المنتج</label>
                                    <input type="text" name="cost" class="form-control" placeholder="0.00" value="{{ $price['cost'] }}">
                                    <tit-min>
                                        <i class="fa fa-info-circle"></i> لايراه العميل
                                    </tit-min>
                                </div>
                                <div class="col-6 col-lg-3 mt-5">
                                    <tit-min>نسبة الربح</tit-min>
                                    <br>
                                    0%
                                </div>
                                <div class="col-6 col-lg-3 mt-5">
                                    <tit-min>قيمة الربح</tit-min>
                                    <br>
                                    0.00 MAD
                                </div>

                            </div>
                        </div>
                    </div>


                    <div class="card">
                        <div class="card-header">
                            <tit-min>المخزون</tit-min>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-12">
                                    
                                </div>
                                <div class="col-6 mt-4">
                                    <label for="" class="tit-input">الكمية</label>
                                    <input type="number" name="qty" class="form-control" placeholder="0"  value="{{ $stock['qty'] }}">
                                    @if($errors->has('qty'))
                                        <div  class="validation-text">
                                                <i class="fa fa-info-circle"></i> {{ $errors->first('qty') }}
                                        </div>
                                    @endif
                                </div>
                                <div class="col-6 mt-4">
                                    <label for="" class="tit-input">SKU</label>
                                    <input type="text" name="sku" class="form-control" placeholder="ABC1000" value="{{ $stock['sku'] }}">
                                    
                                </div>
                                <div class="col-12">
                                    <label for="" class="tit-input">المخزون</label>
                                    <select type="text" name="stock"  class="form-control" >
                                        <option value="">-بدون-</option>
                                        @foreach (\App\stock::all()->where('user_id', auth::user()->id)->sortbydesc('id') as $item)
                                        <option value="{{$item->id}}" @if($item->id == $stock['stock']) selected @endif >{{$item->name}} - {{$item->admin}}</option>
                                        @endforeach
                                        
                                    </select>
                                    <a href="" style="font-size: 12px">
                                        <i class="fa fa-plus"></i> اضافة مخزون 
                                    </a>
                                </div>

                                <div class="col-12 mt-3">
                                    <label for="" class="tit-input">عند نفاذ الكمية</label>

                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="mt-3">
                                                <div class="d-flex " style="font-size: 13px">
                                                    <label class="containerx">
                                                        <input name="out_stock" value="conti_buy" @if($stock['out_stock'] == 'conti_buy') checked @endif id="i1"  type="radio" >
                                                        <span class="checkmark" style="border-radius: 50%"></span>
                                                      </label>
                                                      <label for="i1">
                                                        اكمال الشراء عند نفاذ الكمية
                                                      </label>
                                                </div>
                                                <div class="d-flex mt-3" style="font-size: 13px">
                                                    <label class="containerx">
                                                        <input name="out_stock" value="msg_out" id="i3" @if($stock['out_stock'] == 'msg_out') checked @endif   type="radio" >
                                                        <span class="checkmark" style="border-radius: 50%"></span>
                                                      </label>
                                                      <label for="i3">
                                                        اظهار للعميل راسالة نفاذ الكمية
                                                      </label>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-sm-6">
                                            <div class="mt-3">
                                                <div class="d-flex " style="font-size: 13px">
                                                    <label class="containerx">
                                                        <input name="out_stock" value="hidden_p" id="i2" @if($stock['out_stock'] == 'hidden_p')  checked @endif  type="radio" >
                                                        <span class="checkmark" style="border-radius: 50%"></span>
                                                      </label>
                                                      <label for="i2">
                                                        اخفاء المنتج عند نفاذ الكمية 
                                                      </label>
                                                      
                                                      
                                                </div>
                                                <br>
                                                <input type="number" name="out_stock_qty" class="form-control" style="width: 100px" placeholder="0" value="{{ $stock['out_stock_qty'] ?? '0' }}">
                                            </div>
                                        </div>
                                        
                                        


                                    
                                    </div>
                                    
                                    
                                </div>
                            </div>
                        </div>
                    </div>


                    <div class="card">
                        <div class="card-header">
                            <tit-min>المتغيرات</tit-min>
                        </div>
                        <div class="card-body">
                            
                            <br>
                            <br>
                            
                            <div class="row">
                                <div class="col-12" style="text-align: left">
                                    <a href="" style="font-size: 12px">
                                        <i class="fa fa-trash-alt"></i> حذف الخيار
                                    </a>
                                </div>
                                <div class="col-6">
                                    <select type="text"  class="form-control  mb-4" >
                                        <option value="">اللون</option>
                                        <option value="">الحجم</option>
                                        <option value="">الوزن</option>
                                    </select>
                                </div>
                                <div class="col-6">
                                    <div class="border p-2">
                                        <div id="listVar"></div>
                                        <input type="text" class="varInp" placeholder="اسم المتغير"  id="valueVar">
                                    </div>
                                </div>
                                <script>
                                    let addVar = document.getElementById('valueVar');
                                    addVar.addEventListener('keyup', (e) => {
                                        if(e.keyCode == 13){
                                            if(addVar.value != ''){
                                                $( "#listVar" ).append( addVal(addVar.value) );
                                                addVar.value = '';
                                            }
                                        }
                                    });
                                    function addVal(data) {
                                        let rand = Math.floor(Math.random() * 100000);
                                        let idText = 'tag'+rand;
                                        return '<label for="" id="tag'+rand+'" class="tag">'+data+' <i class="fa fa-times deleteTag" onclick="deleteTag(\''+idText+'\')"></i></label>';
                                    }
                                    function deleteTag(target){
                                        $('#'+target).remove();
                                    }
                                </script>
                                <div class="col-6 mt-3">
                                    <button class="btn btn-primary">
                                        اضافة خيار اخر
                                    </button>
                                </div>
                                
                            </div>

                            <br><br>

                            <tit-min>معاينة</tit-min>
                            <br>
                            <br>
                            <div class="prevVar">
                                <table>
                                    <tr>
                                        <th>الصورة</th>
                                        <th>الكمية</th>
                                        <th>السعر</th>
                                        <th>SKU</th>
                                    </tr>


                                    <tr>
                                      <td>
                                        <img src="{{ url('images/img-prev.png') }}" class="img-prev-var" alt="">
                                      </td>
                                      <td>
                                        <input type="text" class="form-control min-inp" placeholder="0">
                                      </td>
                                      <td><input type="text" class="form-control min-inp" placeholder="0.00 MAD"></td>
                                      <td><input type="text" class="form-control min-inp" placeholder="00001"></td>
                                    </tr>


                                    <tr>
                                        <td>
                                          <img src="{{ url('images/img-prev.png') }}" class="img-prev-var" alt="">
                                        </td>
                                        <td>
                                          <input type="text" class="form-control min-inp" placeholder="0">
                                        </td>
                                        <td><input type="text" class="form-control min-inp" placeholder="0.00 MAD"></td>
                                        <td><input type="text" class="form-control min-inp" placeholder="00001"></td>
                                      </tr>


                                      <tr>
                                        <td>
                                          <img src="{{ url('images/img-prev.png') }}" class="img-prev-var" alt="">
                                        </td>
                                        <td>
                                          <input type="text" class="form-control min-inp" placeholder="0">
                                        </td>
                                        <td><input type="text" class="form-control min-inp" placeholder="0.00 MAD"></td>
                                        <td><input type="text" class="form-control min-inp" placeholder="00001"></td>
                                      </tr>
                                    
                                  </table>
                            </div>

                            
                        </div>
                    </div>


                </div>
                <div class="col-sm-3">
                    <div class="card">
                        <div class="card-header">
                            <tit-min>حالة المنتج</tit-min>
                        </div>
                        <div class="card-body">
                            <select name="statu" type="text" class="form-control  mb-4" >
                                <option value="on" @if($data->statu == 'on') selected  @endif> &#x2713;  نشط</option>
                                <option value="off" @if($data->statu == 'off') selected  @endif >&#x2297;  غير نشط</option>
                            </select>
                        </div>
                    </div>


                    <div class="card">
                        <div class="card-header">
                            <tit-min>تصنيف المنتج</tit-min>
                        </div>
                        <div class="card-body">
                            <select  name="statu" type="text" class="form-control  mb-4" >
                                <option value="on"> &#x2713;  نشط</option>
                                <option value="oof">&#x2297;  غير نشط</option>
                            </select>
                        </div>
                    </div>


                    <div class="card">
                        <div class="card-header">
                            <tit-min>SEO</tit-min>
                        </div>
                        <div class="card-body">
                            
                            <br>
                            <br>
                            <label for="" class="tit-input">Meta keyword</label>
                            <input type="text" name="m_k" id="m_k" oninput="seo('m_k')" class="form-control  mb-4" placeholder="Meta keyword" value="{{ $stock['m_k'] ?? '' }}">

                            <label for="" class="tit-input">SLUG</label>
                            <input type="text" name="slug" id="slug" oninput="seo('slug')" class="form-control  mb-4" placeholder="slug_products_here" value="{{ $stock['slug'] ?? '' }}">
    
    
                            <label for="" class="tit-input">Meta description</label>
                            <textarea type="text" name="m_d" id="m_d" oninput="seo('m_d')" class="form-control  mb-4" placeholder="Meta description">{{ $stock['m_d'] ?? '' }}</textarea>
                            
                            <div class="border p-3 mt-3">
                                <div class="tit-seo" id="m_kText">{{ $stock['m_k'] ?? '' }}</div>
                                <div class="link-seo" id="slugText">{{ $stock['slug'] ?? '' }}</div>
                                <div class="descr-seo" id="m_dText">{{ $stock['m_d'] ?? '' }}</div>
                            </div>
                            <script>
                                function seo(params) {
                                    $('#'+params+'Text').html( $('#'+params).val() );
                                }
                            </script>
                        </div>
                    </div>
                </div>

            </div>
            




            
           
           
        </div>
    </form>
    <script>
        function openCity(evt, cityName) {
          var i, tabcontent, tablinks;
          tabcontent = document.getElementsByClassName("tabcontent");
          for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
          }
          tablinks = document.getElementsByClassName("tablinks");
          for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
          }
          document.getElementById(cityName).style.display = "block";
          evt.currentTarget.className += " active";
        }
        </script>
@endsection