@extends('layouts.app-dashboard')

@section('content')
<form action="{{ route('product.save_data') }}" method="post"> @csrf
    <input type="text" hidden value="{{ $data->id }}" name="id">
    @php
        $price = json_decode($data->prices, true);
        $stock = json_decode($data->stock, true);
        $seo = json_decode($data->seo, true);
        $variants = json_decode($data->variants, true);
        $img = json_decode($data->images, true);
        $ctg_p = json_decode($data->ctg,true);
    @endphp
    <div class="container">
        <div class="row">
            <div class="col-sm-3 mb-4">
                <img src="{{ url('images/home.png') }}" style="width: 15px">
                الرئيسية
               >
              تعديل المشروع
            </div>
            <div class="col-sm-9 mb-4" style="text-align: left">
                <button class="btn btn-light">
                    <i class="fa fa-arrow-right"></i>
                    الرجوع
                </button>
                <button class="btn btn-primary">
                    <img src="{{ url('images/app/save.png') }}" style="width:20px;padding:2px ;">
                    حفظ المشروع 
                </button>
              
            </div>
        </div>


            <div class="row mt-4 justify-content-center">
                
                <div class="col-sm-6">
                    <div class="card">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-12">
                                    <label for="" class="tit-input">العنوان</label>
                                    <input type="text" name="title" value="{{ $data->title }}" class="form-control notempty"  placeholder="العنوان" autofocus>
                                    @if($errors->has('title'))
                                        <div  class="validation-text">
                                                <i class="fa fa-info-circle"></i> {{ $errors->first('title') }}
                                        </div>
                                    @endif
                                </div>
                                
                                <div class="col-12">
                                    <label for="" class="tit-input">الوصف</label>
                                    <textarea name="descr"  class="form-control" style="height: 150px">{{ $data->description }}</textarea>
                                    @if($errors->has('descr'))
                                        <div  class="validation-text">
                                                <i class="fa fa-info-circle"></i> {{ $errors->first('descr') }}
                                        </div>
                                    @endif
                                </div>

                                <div class="col-12">
                                    <label for="" class="tit-input">المميزات</label>
                                    <input type="text" name="adv" class="form-control notempty" value="{{ $data->adv }}" placeholder="المميزات" autofocus>
                                </div>
                                
                                 <div class="col-12">
                                    <label for="" class="tit-input">الموقع الجغرافي</label>
                                    <input type="text" name="map" class="form-control notempty"   value="{{ $data->map }}"  placeholder="رابط الموقع الجغرافي" autofocus>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-header">
                            <tit-min>الصور</tit-min>
                        </div>
                        <div class="card-body">
                            <div class="row">
                                <div class="col-12">
                                   
                                </div>
                                <div class="col-sm-4 mb-3">
                                    <input type="text" name="images_product[]" value="{{$img[0] ?? ''}}" id="images_product1000000" hidden >
                                    <div class="border-img-gros" data-bs-toggle="modal" data-bs-target="#exampleModal" onclick="addImg('images_product1000000')">
                                        <img src="{{ my_uploads_path().'/'.$img[0] }}" style="width:100%;" id="images_product1000000_prev">
                                    </div>
                                    
                                </div>
                                <div class="col-sm-8">
                                    <div class="row">
                                        @php
                                            $cimg = 1;
                                        @endphp
                                        @while ($cimg <= 8)
                                        <div class="col-6 col-lg-3 mb-2">
                                            <input type="text" name="images_product[]" value="{{$img[$cimg]}}" hidden id="{{$cimg}}"  >
                                            <div onclick="removeImg('{{$cimg}}')">
                                                <center>
                                                    <i class="fa fa-times" style="color: red"></i>
                                                </center>
                                            </div>
                                            <div class="border-img-gros" data-bs-toggle="modal" data-bs-target="#exampleModal" onclick="addImg('{{$cimg}}')">
                                                <img src="@if(isset($img[$cimg])) {{ my_uploads_path().'/'.$img[$cimg] }} @else {{ url('images/img-icon.png') }} @endif" style="width:100%;" id="{{$cimg}}_prev">
                                            </div>
                                        </div>
                                        @php $cimg++; @endphp
                                        @endwhile
                                       
                                    </div>
                                </div>
                            </div>
                        </div>
                        <script>
                             function removeImg(id){
                                $('#'+id).val('');
                                document.getElementById(id+'_prev').src = "{{ url('images/img-icon.png') }}";
                             }
                        </script>

                       
                        
                    </div>

                 


                </div>
                <div class="col-sm-3">
                    <div class="card">
                        <div class="card-header">
                            <tit-min>العلامة</tit-min>
                        </div>
                        <div class="card-body">
                            <select name="statu" type="text" class="form-control  mb-4" >
                                <option value="1" @if($data->statu == 1) selected @endif >المشاريع الحالية</option>
                                <option value="2" @if($data->statu == 2) selected @endif >المشاريع تحت الانشاء</option>
                                <option value="3" @if($data->statu == 3) selected @endif >المشاريع السابقة</option>
                            </select>
                        </div>
                    </div>



                    <div class="card">
                        <div class="card-header">
                            <tit-min>SEO</tit-min>
                        </div>
                        <div class="card-body">
                           
                            <br>
                            <br>
                            <label for="" class="tit-input">Meta keyword</label>
                            <input type="text" name="m_k" id="m_k" oninput="seo('m_k')" class="form-control  mb-4" placeholder="Meta keyword" value="{{ $seo['m_k'] ?? '' }}">

                            <label for="" class="tit-input">SLUG</label>
                            <input type="text" name="slug" id="slug" oninput="seo('slug')" class="form-control  mb-4" placeholder="slug_products_here" value="{{ $seo['slug'] ?? '' }}">
    
    
                            <label for="" class="tit-input">Meta description</label>
                            <textarea type="text" name="m_d" id="m_d" oninput="seo('m_d')" class="form-control  mb-4" placeholder="Meta description">{{ $seo['m_d'] ?? '' }}</textarea>
                            
                           
                        </div>
                    </div>
                </div>
                <div class="col-sm-6">
                    
                </div>
                <div class="col-sm-3"></div>
            </div>
            




            
           
           
        </div>
    </form>   
 

@endsection